Bug 165011 - Internal compilation bug when building with O3 optimization
Internal compilation bug when building with O3 optimization
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 11:03 EDT by Ella Ruderman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 10:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ella Ruderman 2005-08-03 11:03:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
When I build a library with O3 optimization option I get an error internal compiledr error: in copy_to_mode_req

Version-Release number of selected component (if applicable):
package [component] is not installed

How reproducible:
Always

Steps to Reproduce:
1. make OPT='-O3'
2.
3.
  

Additional info:
Comment 1 Jakub Jelinek 2005-08-06 06:20:24 EDT
Please attach preprocessed source on which the compiler crashes and all compiler
flags used and also state which exact gcc you are using.
RHEL3 gcc driver is trying to reproduce internal compiler errors and if it
manages to reproduce them, it will prepare all the info for you in some
/tmp/cc*.out file mentioned in the error message.  If it hasn't created it,
please look at http://gcc.gnu.org/bugs.html instructions how to prepare the
requested info and then file it here.
Without the preprocessed source there we can't do anything easily, as the
compiler crash might depend on the exact version of all headers the sources
are using and exact version of the source plus perhaps configuration stuff.
Thanks.
Comment 2 Jakub Jelinek 2005-08-17 10:23:57 EDT
Please reopen if you create a self-contained testcase we could look at.

Note You need to log in before you can comment on or make changes to this bug.